C------------------------------------------------------------------------------

      SUBROUTINE NTEMP

C------------------------------------------------------------------------------

C     DO-NOTHING TEMPERATURE MODEL

C     Compile with options /c (compile only) and /4Yb (error tracing)

      implicit real*8 (a-h,o-z)

C

C     COMMON DECK "WW" INSERTED HERE

      common/ww/ dum(10),maxw,w(1000)

C

C     TEMPERATURE    200-224

      EQUIVALENCE (W(200),TMODEL),(W(201),TFORM),(W(202),TID)

C

C     COMMON DECK "B5" INSERTED HERE

      INTEGER TMX,TNTBL,TITBL,TFRMTBL,IDST(10)

      COMMON/B5/TMX,TNTBL(10),TITBL(10),TFRMTBL(10),TGP(262)

      EQUIVALENCE (TGP,IDST),(ANT,TGP(11))

      INTEGER TYMX,TYNTBL(10),TYITBL(10),TYFRMTBL(10)

C

      DATA RECOGT/0.d0/

      DATA TYMX/1/

      DATA TYNTBL/1,11,8*0/

      DATA TYITBL/1,9*0/

      DATA TYFRMTBL/1,9*0/

C                           

      ENTRY SETPTP

      TMX=TYMX             

      CALL IMOVE(TNTBL,TYNTBL,10)  

      CALL IMOVE(TITBL,TYITBL,10)  

      CALL IMOVE(TFRMTB,TYFRMTB,10)

      RETURN                        

C

      ENTRY ITEMP

      IF(idint(RECOGT) .NE. idint(TMODEL))

     1    CALL RERROR('TEMP  ','WRNG MODEL',RECOGT)

C

      MODT(1)=5HNTEMP

      MODT(2)=DTID

      RETURN

C

      ENTRY TEMP

      RETURN

      END

